/*
 * Copyright 2016-present Open Networking Laboratory
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onosproject.ecord.carrierethernet.cli.completers;

import com.google.common.collect.ImmutableList;
import org.onosproject.cli.AbstractChoicesCompleter;

import java.util.List;

/**
 * Boolean command completer.
 */
public class CarrierEthernetBooleanCompleter extends AbstractChoicesCompleter {

    public static final String TRUE = "true";
    public static final String FALSE = "false";

    @Override
    public List<String> choices() {
        return ImmutableList.of(TRUE, FALSE);
    }
}
